(function() {
	var Privacy = /*@__PURE__*/ (function(Component) {
		function Privacy(props) {
			Component.call(this, props);
			this.data = {
				title: "用户注册协议和隐私政策",
				content:
					"请您务必审慎阅读、充分理解“服务协议”和“隐私政策”各条款，包括但不限于：为了向您提供即时通讯、内容分享等服务，我们需要收集您的设备唯一码（若当前设备能正常获取IMEI，则收集IMEI号；若IMEI号异常，则收集系统安全码ANDROID_ID；若ANDROID_ID异常，则收集设备MAC地址；若MAC地址异常，则收集设备序列号；若序列号异常，则随机生成一个UUID）。您可以在“设置”中查看、变更、删除个人信息并管理您的授权。\n如您点击“同意”开始接受我们的服务。",
				nodes:
					'<div style="line-height:20px;font-size:14px;">您可以查看完整版<a href="widget://pages/userpolicy.stml" style="color:#6487df;text-decoration:none;">《用户注册协议》</a>、<a href="widget://pages/privacypolicy.stml" style="color:#6487df;text-decoration:none;">《隐私政策》</a></div>',
				disagree: "不同意",
				agree: "同意",
				isTipMode: false
			};
		}

		if (Component) Privacy.__proto__ = Component;
		Privacy.prototype = Object.create(Component && Component.prototype);
		Privacy.prototype.constructor = Privacy;
		Privacy.prototype.apiready = function() {};
		Privacy.prototype.disagree = function() {
			if (this.data.isTipMode) {
				api.closeWidget({silent: true});
			} else {
				this.data.title = "隐私保护提示";
				this.data.content =
					"我们深知个人信息对您的重要性，您的信息仅用于为您提供服务，我们坚决保障您的隐私信息安全。如果您仍不同意本隐私协议，很遗憾我们将无法继续为您提供服务。";
				this.data.disagree = "不同意并退出";
				this.data.agree = "同意并继续";
				this.data.isTipMode = true;
			}
		};
		Privacy.prototype.agree = function() {
			api.agreedPrivacy();
		};
		Privacy.prototype.onInteract = function(e) {
			var url = e.detail.url;
			console.log(url);

			api.openWin({
				name: "privacy",
				url: url
			});

			// api.agreedPrivacy();
		};
		Privacy.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"view",
				{class: "page"},
				apivm.h(
					"view",
					{class: "cover"},
					apivm.h(
						"view",
						{class: "box"},
						apivm.h("text", {class: "title"}, this.data.title),
						apivm.h(
							"scroll-view",
							{class: "content-area", bounces: false},
							apivm.h("text", {class: "content"}, this.data.content),
							apivm.h("rich-text", {
								class: "policy-area",
								nodes: this.data.nodes,
								"link-text-color": "#6487df",
								"user-select": true,
								oninteract: this.onInteract
							})
						),
						apivm.h(
							"view",
							{class: "btn-area"},
							apivm.h(
								"text",
								{
									class: "disagree",
									onclick: function(event) {
										if (this$1.disagree) {
											this$1.disagree();
										} else {
											disagree();
										}
									}
								},
								this.data.disagree
							),
							apivm.h("view", {class: "line"}),
							apivm.h(
								"text",
								{
									class: "agree",
									onclick: function(event) {
										if (this$1.agree) {
											this$1.agree();
										} else {
											agree();
										}
									}
								},
								this.data.agree
							)
						)
					)
				)
			);
		};

		return Privacy;
	})(Component);
	Privacy.css = {
		".page": {width: "100%", height: "100%"},
		".cover": {
			justifyContent: "center",
			alignItems: "center",
			width: "100%",
			height: "100%",
			backgroundColor: "rgba(0, 0, 0, 0.6)"
		},
		".box": {
			width: "85%",
			maxWidth: "360px",
			minHeight: "167px",
			maxHeight: "480px",
			backgroundColor: "white",
			borderRadius: "14px"
		},
		".title": {
			margin: "10px 15px",
			color: "black",
			fontWeight: "600",
			textAlign: "center",
			whiteSpace: "normal"
		},
		".content-area": {minHeight: "90px", maxHeight: "400px", overflow: "scroll"},
		".content": {
			margin: "0 15px",
			color: "black",
			fontSize: "14px",
			whiteSpace: "normal"
		},
		".policy-area": {margin: "10px 15px", whiteSpace: "normal"},
		".btn-area": {
			flexDirection: "row",
			alignItems: "center",
			height: "40px",
			borderTop: "0.5px solid #f5f5f5"
		},
		".disagree": {
			flex: "1",
			textAlign: "center",
			lineHeight: "40px",
			color: "#555"
		},
		".disagree:active": {opacity: "0.8"},
		".line": {width: "0.5px", height: "28px", backgroundColor: "#f5f5f5"},
		".agree": {
			flex: "1",
			textAlign: "center",
			lineHeight: "40px",
			color: "#EE2233"
		},
		".agree:active": {opacity: "0.8"}
	};
	apivm.define("privacy", Privacy);
	apivm.render(apivm.h("privacy", null), "body");
})();
